package com.arms.api.issue.schedule.service;

import com.arms.api.issue.almapi.model.entity.AlmIssueEntity;
import com.arms.api.issue.almapi.model.dto.요구사항_데이터;

import org.springframework.data.elasticsearch.core.SearchHit;

import javax.validation.Valid;
import java.util.List;

public interface 이슈_스케쥴_서비스 {

    AlmIssueEntity 이슈_조회하기(String 조회조건_아이디);

    int 삭제대상_이슈_도큐먼트_삭제();

    int 서브테스크_상위키_필드업데이트(@Valid 요구사항_데이터 요구사항_데이터) throws Exception;

    List<AlmIssueEntity> 요구사항_이슈_수집(@Valid 요구사항_데이터 요구사항_데이터) throws Exception;

    int 하위이슈_수집(@Valid 요구사항_데이터 요구사항_데이터) throws Exception;

    int 연결이슈_수집(@Valid 요구사항_데이터 요구사항_데이터) throws Exception;

    List<AlmIssueEntity> 증분_요구사항_이슈_수집(@Valid 요구사항_데이터 요구사항_데이터) throws Exception;

    int 증분_하위이슈_수집(@Valid 요구사항_데이터 요구사항_데이터) throws Exception;

    List<SearchHit<AlmIssueEntity>> 모든인덱스에있는_이슈_조회하기(String 조회조건_아이디);

}
