package com.arms.api.issue.type.strategy;

import com.arms.api.issue.type.vo.IssueTypeVO;
import com.arms.api.serverinfo.model.서버정보_데이터;

import java.util.List;

public class IssueTypeStrategyImpl {

    IssueTypeStrategy issueTypeStrategy;

    public void registerIssueTypeStrategy(IssueTypeStrategy issueTypeStrategy) {
        this.issueTypeStrategy = issueTypeStrategy;
    }

    public List<IssueTypeVO> getIssueTypeList(서버정보_데이터 서버정보) {
        return this.issueTypeStrategy.getIssueTypeList(서버정보);
    }

    public List<IssueTypeVO> getIssueTypeListByProject(서버정보_데이터 서버정보, String projectId) {
        return this.issueTypeStrategy.getIssueTypeListByProject(서버정보, projectId);
    }

}