package com.arms.egovframework.javaservice.esframework.esquery.must;

import com.arms.egovframework.javaservice.esframework.esquery.Must;
import com.arms.egovframework.javaservice.esframework.esquery.MustNot;
import org.elasticsearch.index.query.AbstractQueryBuilder;
import org.elasticsearch.index.query.QueryBuilders;
import org.elasticsearch.index.query.TermQueryBuilder;

public class TermQueryMustNot extends MustNot<TermQueryBuilder> {

	private TermQueryBuilder termQueryBuilder;

	public TermQueryMustNot(String name, String value){
		if(name!=null&&value!=null){
			this.termQueryBuilder = QueryBuilders.termQuery(name, value);
		}
	}

	public TermQueryMustNot(String name, Long value){
		if(name!=null&&value!=null){
			this.termQueryBuilder = QueryBuilders.termQuery(name, value);
		}
	}

	public TermQueryMustNot(String name, Boolean value){
		if(name!=null&&value!=null){
			this.termQueryBuilder = QueryBuilders.termQuery(name, value);
		}
	}

	@Override
	public AbstractQueryBuilder<TermQueryBuilder> abstractQueryBuilder() {
		return termQueryBuilder;
	}
}
