package com.arms.api.analysis.requirement.dto;

import java.util.List;

import com.arms.api.util.model.dto.PdServiceAndIsReqDTO;
import com.arms.egovframework.javaservice.esframework.model.dto.기본_검색_집계_하위_요청;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter
@Setter
@AllArgsConstructor
@NoArgsConstructor
public class ReqAnalysisAggrDTO extends 기본_검색_집계_하위_요청 {

    PdServiceAndIsReqDTO pdServiceAndIsReq;

    public Long pdServiceLink(){
        return pdServiceAndIsReq.getPdServiceId();
    }

    public List<Long> pdServiceVersionLinks(){
        return pdServiceAndIsReq.getPdServiceVersions();
    }

    public Boolean isReq(){
        return pdServiceAndIsReq.getIsReq();
    }

}
