package com.arms.api.issue.almapi.model.dto;

import com.arms.api.issue.priority.model.IssuePriorityDTO;
import com.arms.api.issue.resolution.model.이슈해결책_데이터;
import com.arms.api.issue.status.dto.IssueStatusDTO;
import com.arms.api.issue.type.dto.IssueTypeDTO;
import com.arms.api.project.dto.ProjectDTO;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.*;

import java.util.Date;
import java.util.List;

@Getter
@Setter
@Builder
@ToString
@NoArgsConstructor
@AllArgsConstructor
@JsonInclude(JsonInclude.Include.NON_NULL)
public class IssueCreationFieldsDTO {

    private ProjectDTO project;

    private IssueTypeDTO issuetype;

    private String summary;

    private String description;

    private 지라사용자_데이터 reporter;

    private 지라사용자_데이터 assignee;

    private List<String> labels;

    private IssuePriorityDTO priority;

    private IssueStatusDTO status;

    private 이슈해결책_데이터 resolution;

    private Date startDate;

    private Date dueDate;
}
