package com.arms.api.search_engine.dto;

import com.arms.egovframework.javaservice.esframework.model.dto.기본_검색_요청;

import lombok.*;

@Getter
@Setter
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SearchDTO extends 기본_검색_요청 {

    private String searchString; // 검색어
    private String page; // 페이지
    private String size; // 사이즈
    private String startDate; //시작일
    private String endDate; // 종료일
    private SearchConditionDTO filter; // 검색 조건
}
